package altro.reparto_ospedaliero.con_starvation;

public class Visitatore extends Thread {

	private String name;
	private Stanza stanza;

	public Visitatore(Stanza stanza, String name) {
		this.stanza = stanza;
		this.name = name;
	}

	public void run() {

		while (true) {
			try {
				sleep((int) (Math.random() * 2000));
				
				// System.out.println("Il visitatore "+name+" prova ad entrare nella stanza del paziente.");
				stanza.visitaCortesia(name);
				
				sleep((int) (Math.random() * 2000));
				
				stanza.terminaVisitaCortesia(name);
				// System.out.println("Il visitatore "+name+" ha terminato la visita e lascia la stanza.");

			} catch (InterruptedException e) {
			}
		}
	}
}
